package jp.sbcr.java_framework.error_mail;

import static jp.sbcr.java_framework.mail.Mail.*;

import java.io.InputStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.util.Properties;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.seasar.framework.util.InputStreamUtil;
import org.seasar.framework.util.PropertiesUtil;
import org.seasar.framework.util.ResourceUtil;

public class ErrorMail {
	private static final Log logger = LogFactory
			.getLog(ErrorMail.class);

	public static void send(Throwable throwable) {
		Properties properties = new Properties();
		InputStream is = null;
		try {
			is = ResourceUtil
					.getResourceAsStream("error_mail.properties");
			PropertiesUtil.load(properties, is);
		} finally {
			InputStreamUtil.close(is);
		}

		String from = properties.getProperty("from");
		String to = properties.getProperty("to");
		String subject = "例外が発生しました";
		String text = toString(throwable);
		String charset = properties.getProperty("charset");

		try {
			sendMail(properties, from, to, subject, text,
					charset);
		} catch (Throwable t) {
			logger.error("エラーメール送信失敗", t);
		}
	}

	private static String toString(Throwable t) {
		StringWriter sw = new StringWriter();
		t.printStackTrace(new PrintWriter(sw));
		return sw.toString();
	}

}
