package jp.sbcr.java_framework.validator.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Bean(ActionFormなど)のセッターにこのアノテーションを記述します。 <br>
 * このアノテーションの{@link #value()}に指定したバリデーションが行われます。
 */
@Inherited
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface Validators {
	/**
	 * 適用するバリデータを定義します。
	 * 
	 * @return バリデータ
	 */
	Validator[] value();
}
