package jp.sbcr.java_framework.validator.exception;

/**
 * 不正な値の場合にスローされます。
 */
public class ValidateException extends Exception {
	private static final long serialVersionUID = 1L;

	private String messageKey;

	private String[] messageArgs;

	public ValidateException(String messageKey,
			String... messageArgs) {
		super();
		this.messageKey = messageKey;
		this.messageArgs = messageArgs;
	}

	public String[] getMessageArgs() {
		if (messageArgs == null) {
			return new String[0];
		}
		return messageArgs;
	}

	public String getMessageKey() {
		return messageKey;
	}

}
