package jp.sbcr.java_framework.validator;

import static jp.sbcr.java_framework.validator.StringPattern.*;
import jp.sbcr.java_framework.validator.annotation.Property;
import jp.sbcr.java_framework.validator.annotation.PropertyName;
import jp.sbcr.java_framework.validator.annotation.Validator;
import jp.sbcr.java_framework.validator.annotation.Validators;
import jp.sbcr.java_framework.validator.validators.Mask;
import jp.sbcr.java_framework.validator.validators.SerialNo;

public class TestForm {

	private String fullHiragana;

	private String serialNo;

	private String emptyValue;

	@PropertyName("全角ひらがな")
	@Validators(@Validator(value = Mask.class, properties = {
			@Property(name = "regexp", value = FULL_HIRAGANA),
			@Property(name = "messageResourceKey", value = "errors.full.hiragana") }))
	public void setFullHiragana(String fullHiragana) {
		this.fullHiragana = fullHiragana;
	}

	@PropertyName("シリアル番号")
	@Validators(@Validator(SerialNo.class))
	public void setSerialNo(String serialNo) {
		this.serialNo = serialNo;
	}

	@PropertyName("空の値")
	@Validators(@Validator(Mask.class))
	public void setEmptyValue(String emptyValue) {
		this.emptyValue = emptyValue;
	}

	public String getFullHiragana() {
		return fullHiragana;
	}

	public String getSerialNo() {
		return serialNo;
	}

	public String getEmptyValue() {
		return emptyValue;
	}
}